Bug 24503 - Missing use in value builder barcode_manual.pl
Summary: Missing use in value builder barcode_manual.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 22721
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-24 08:19 UTC by Fridolin SOMERS
Modified: 2020-02-14 17:43 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 24503: fix missing use in value builder barcode_manual.pl (1.16 KB, patch)
2020-01-24 08:24 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 24503: fix missing use in value builder barcode_manual.pl (1.34 KB, patch)
2020-01-24 09:07 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2020-01-24 08:19:02 UTC
Bug 22721 added use C4::Biblio in cataloguing/value_builder/barcode.pl.
This is missing in value builder barcode_manual.pl.
You get the error : 
Undefined subroutine &Koha::FrameworkPlugin::GetMarcFromKohaField called at cataloguing/value_builder/barcode_manual.pl line 41.
Comment 1 Fridolin SOMERS 2020-01-24 08:24:04 UTC
Created attachment 97857 [details] [review]
Bug 24503: fix missing use in value builder barcode_manual.pl

Bug 22721 added use C4::Biblio in cataloguing/value_builder/barcode.pl.
This is missing in value builder barcode_manual.pl.
You get the error :
Undefined subroutine &Koha::FrameworkPlugin::GetMarcFromKohaField called at cataloguing/value_builder/barcode_manual.pl line 41.

Test plan :
1) Configure a subfield of item to use value builder barcode_manual.pl
2) Go to a record
3) Try to add a new item
4) Check the value builder is OK
Comment 2 Marcel de Rooy 2020-01-24 08:58:15 UTC
Looking here
Comment 3 Marcel de Rooy 2020-01-24 09:07:36 UTC
Created attachment 97861 [details] [review]
Bug 24503: fix missing use in value builder barcode_manual.pl

Bug 22721 added use C4::Biblio in cataloguing/value_builder/barcode.pl.
This is missing in value builder barcode_manual.pl.
You get the error :
Undefined subroutine &Koha::FrameworkPlugin::GetMarcFromKohaField called at cataloguing/value_builder/barcode_manual.pl line 41.

Test plan :
1) Configure a subfield of item to use value builder barcode_manual.pl
2) Go to a record
3) Try to add a new item
4) Check the value builder is OK

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Tested with autobarcode==year-0001,0002
No internal server error, but generates a barcode now.
Comment 4 Marcel de Rooy 2020-01-24 09:08:11 UTC
Trivial fix. Tested the interface. Combining SO+QA
Comment 5 Martin Renvoize 2020-01-24 15:21:23 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-02-10 22:01:48 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 7 Lucas Gass 2020-02-14 17:43:23 UTC
missing dependency for 19.05.x, no backport